> ## Documentation Index
> Fetch the complete documentation index at: https://docs.insighto.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Assistant

> Create a new assistant



## OpenAPI

````yaml https://api.insighto.ai/api/v1/openapi.json post /api/v1/assistant
openapi: 3.1.0
info:
  title: Ragify
  version: v1
servers: []
security: []
paths:
  /api/v1/assistant:
    post:
      tags:
        - Assistant
      summary: Create Assistant
      description: Create a new assistant
      operationId: create_assistant_api_v1_assistant_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IAssistantCreate'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IPostResponseBase_IAssistantRead_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Your API Key: []
        - HTTPBearer: []
components:
  schemas:
    IAssistantCreate:
      properties:
        assistant_type:
          anyOf:
            - $ref: '#/components/schemas/IAssistantEnum'
            - type: 'null'
        llm_model:
          anyOf:
            - $ref: '#/components/schemas/ILLMEnum'
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        attributes:
          additionalProperties: true
          type: object
          title: Attributes
          default: {}
        system_prompt:
          anyOf:
            - type: string
            - type: 'null'
          title: System Prompt
          default: ''
        voice:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Voice
          default: false
        custom_voice:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Custom Voice
          default: false
        voice_languages:
          items: {}
          type: array
          title: Voice Languages
          default:
            - en-US
            - de-DE
            - mr-IN
            - hi-IN
        org_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Org Id
        show_images:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Show Images
          default: false
        hide_ds:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Hide Ds
          default: false
        webhook_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Webhook Id
        has_human_agent:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Has Human Agent
          default: false
        use_tools:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Use Tools
          default: false
        conversation_flow_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Conversation Flow Id
      type: object
      required:
        - assistant_type
        - llm_model
      title: IAssistantCreate
    IPostResponseBase_IAssistantRead_:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          default: Data created successfully
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - {}
            - type: 'null'
          title: Meta
          default: {}
        data:
          anyOf:
            - $ref: '#/components/schemas/IAssistantRead'
            - type: 'null'
      type: object
      title: IPostResponseBase[IAssistantRead]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    IAssistantEnum:
      type: string
      enum:
        - simple
        - chat
        - phone
        - nl2sql
        - realtime_openai
      title: IAssistantEnum
    ILLMEnum:
      type: string
      enum:
        - gpt-4-0125-preview
        - gpt-3.5-turbo-0125
        - gpt-3.5-turbo-1106
        - gpt-3.5-turbo
        - gpt-4-1106-preview
        - gpt-4o-2024-05-13
        - gpt-4o-mini
        - llama-3.1-70b-versatile
        - gpt-4o-realtime-preview
        - gpt-4o-mini-realtime-preview
        - deepseek-r1-distill-llama-70b
        - o3-mini
      title: ILLMEnum
    IAssistantRead:
      properties:
        assistant_type:
          anyOf:
            - $ref: '#/components/schemas/IAssistantEnum'
            - type: 'null'
        llm_model:
          anyOf:
            - $ref: '#/components/schemas/ILLMEnum'
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        attributes:
          additionalProperties: true
          type: object
          title: Attributes
          default: {}
        system_prompt:
          anyOf:
            - type: string
            - type: 'null'
          title: System Prompt
          default: ''
        voice:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Voice
          default: false
        custom_voice:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Custom Voice
          default: false
        voice_languages:
          items: {}
          type: array
          title: Voice Languages
          default:
            - en-US
            - de-DE
            - mr-IN
            - hi-IN
        org_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Org Id
        show_images:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Show Images
          default: false
        hide_ds:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Hide Ds
          default: false
        webhook_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Webhook Id
        has_human_agent:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Has Human Agent
          default: false
        use_tools:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Use Tools
          default: false
        conversation_flow_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Conversation Flow Id
        id:
          type: string
          format: uuid
          title: Id
      type: object
      required:
        - assistant_type
        - llm_model
        - id
      title: IAssistantRead
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    Your API Key:
      type: apiKey
      description: >-
        Your API key for authentication. You can generate it from the
        **Settings** page. Format: starts with `in-`.
      in: query
      name: api_key
    HTTPBearer:
      type: http
      scheme: bearer

````